using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AbwMindestbesetzungSetAwJStartDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AwJStartDat";
			

		internal AbwMindestbesetzungSetAwJStartDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AbwMindestbesetzungSetAwJStartDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AbwMindestbesetzungSetAwJStartDatIndex.IndexFields rangeBegin, AbwMindestbesetzungSetAwJStartDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Auswertungsjahr ( SmallInt )</summary>
			public virtual Object AuswJahr {
				get { return this["AuswJahr"]; }
				set { this["AuswJahr"] = value; }
			}
			/// <summary>Startdatum ( DateTime )</summary>
			public virtual DateTime StartDat {
				get { return Convert.ToDateTime(this["StartDat"]); }
				set { this["StartDat"] = value; }
			}
			/// <summary>Abteilungsnummer ( String )</summary>
			public virtual String AbtNr {
				get { return Convert.ToString(this["AbtNr"]); }
				set { this["AbtNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
