using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AbwMindestbesetzungSetBezIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "Bez";
			

		internal AbwMindestbesetzungSetBezIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AbwMindestbesetzungSetBezIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AbwMindestbesetzungSetBezIndex.IndexFields rangeBegin, AbwMindestbesetzungSetBezIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Bezeichnung ( String )</summary>
			public virtual String Bez {
				get { return Convert.ToString(this["Bez"]); }
				set { this["Bez"] = value; }
			}
			/// <summary>Abteilungsnummer ( String )</summary>
			public virtual String AbtNr {
				get { return Convert.ToString(this["AbtNr"]); }
				set { this["AbtNr"] = value; }
			}
			/// <summary>Startdatum ( DateTime )</summary>
			public virtual DateTime StartDat {
				get { return Convert.ToDateTime(this["StartDat"]); }
				set { this["StartDat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
