using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AbwesenheitenSetAwJEndDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AwJEndDat";
			

		internal AbwesenheitenSetAwJEndDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AbwesenheitenSetAwJEndDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AbwesenheitenSetAwJEndDatIndex.IndexFields rangeBegin, AbwesenheitenSetAwJEndDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Auswertungsjahr ( SmallInt )</summary>
			public virtual Object AuswJahr {
				get { return this["AuswJahr"]; }
				set { this["AuswJahr"] = value; }
			}
			/// <summary>Enddatum ( DateTime )</summary>
			public virtual DateTime EndDat {
				get { return Convert.ToDateTime(this["EndDat"]); }
				set { this["EndDat"] = value; }
			}
			/// <summary>Mitarbeiternummer ( String )</summary>
			public virtual String MitNr {
				get { return Convert.ToString(this["MitNr"]); }
				set { this["MitNr"] = value; }
			}
			/// <summary>Abwesenheitsartennummer ( String )</summary>
			public virtual String AbwANr {
				get { return Convert.ToString(this["AbwANr"]); }
				set { this["AbwANr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
