using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AbwesenheitenSetStartDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "StartDat";
			

		internal AbwesenheitenSetStartDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AbwesenheitenSetStartDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AbwesenheitenSetStartDatIndex.IndexFields rangeBegin, AbwesenheitenSetStartDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Startdatum ( DateTime )</summary>
			public virtual DateTime StartDat {
				get { return Convert.ToDateTime(this["StartDat"]); }
				set { this["StartDat"] = value; }
			}
			/// <summary>Mitarbeiternummer ( String )</summary>
			public virtual String MitNr {
				get { return Convert.ToString(this["MitNr"]); }
				set { this["MitNr"] = value; }
			}
			/// <summary>Abwesenheitsartennummer ( String )</summary>
			public virtual String AbwANr {
				get { return Convert.ToString(this["AbwANr"]); }
				set { this["AbwANr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
