using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AdressenSetErstUmsatzIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ErstUmsatz";
			

		internal AdressenSetErstUmsatzIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AdressenSetErstUmsatzIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AdressenSetErstUmsatzIndex.IndexFields rangeBegin, AdressenSetErstUmsatzIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Erster Umsatz ( Date )</summary>
			public virtual DateTime ErstUmsDat {
				get { return Convert.ToDateTime(this["ErstUmsDat"]); }
				set { this["ErstUmsDat"] = value; }
			}
			/// <summary>Adressnummer ( String )</summary>
			public virtual String AdrNr {
				get { return Convert.ToString(this["AdrNr"]); }
				set { this["AdrNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
