using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AdressenSetNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "Nr";
			

		internal AdressenSetNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AdressenSetNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AdressenSetNrIndex.IndexFields rangeBegin, AdressenSetNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Adressnummer ( String )</summary>
			public virtual String AdrNr {
				get { return Convert.ToString(this["AdrNr"]); }
				set { this["AdrNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
