using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AdressenSetWShopIdIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "WShopId";
			

		internal AdressenSetWShopIdIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AdressenSetWShopIdIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AdressenSetWShopIdIndex.IndexFields rangeBegin, AdressenSetWShopIdIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>ID Webshop ( String )</summary>
			public virtual String WShopID {
				get { return Convert.ToString(this["WShopID"]); }
				set { this["WShopID"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
