using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AnlagenSetKtoNrAfaIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "KtoNrAfa";
			

		internal AnlagenSetKtoNrAfaIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AnlagenSetKtoNrAfaIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AnlagenSetKtoNrAfaIndex.IndexFields rangeBegin, AnlagenSetKtoNrAfaIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Konto AfA ( String )</summary>
			public virtual String KtoAfA {
				get { return Convert.ToString(this["KtoAfA"]); }
				set { this["KtoAfA"] = value; }
			}
			/// <summary>Bezeichnung ( String )</summary>
			public virtual String Bez {
				get { return Convert.ToString(this["Bez"]); }
				set { this["Bez"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
