using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AnschriftenSetTelIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "Tel";
			

		internal AnschriftenSetTelIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AnschriftenSetTelIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AnschriftenSetTelIndex.IndexFields rangeBegin, AnschriftenSetTelIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Telefon ( String )</summary>
			public virtual String Tel {
				get { return Convert.ToString(this["Tel"]); }
				set { this["Tel"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
