using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AnsprechpartnerSetAnspIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "Ansp";
			

		internal AnsprechpartnerSetAnspIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AnsprechpartnerSetAnspIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AnsprechpartnerSetAnspIndex.IndexFields rangeBegin, AnsprechpartnerSetAnspIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Ansprechpartner ( String )</summary>
			public virtual String Ansp {
				get { return Convert.ToString(this["Ansp"]); }
				set { this["Ansp"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
