using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AnsprechpartnerSetGebDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "GebDat";
			

		internal AnsprechpartnerSetGebDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AnsprechpartnerSetGebDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AnsprechpartnerSetGebDatIndex.IndexFields rangeBegin, AnsprechpartnerSetGebDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Geburtsdatum ( Date )</summary>
			public virtual DateTime GebDat {
				get { return Convert.ToDateTime(this["GebDat"]); }
				set { this["GebDat"] = value; }
			}
			/// <summary>Ansprechpartner ( String )</summary>
			public virtual String Ansp {
				get { return Convert.ToString(this["Ansp"]); }
				set { this["Ansp"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
