using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelEbayEinstellungenSetArtNrKuInfoIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ArtNrKuInfo";
			

		internal ArtikelEbayEinstellungenSetArtNrKuInfoIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ArtikelEbayEinstellungenSetArtNrKuInfoIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ArtikelEbayEinstellungenSetArtNrKuInfoIndex.IndexFields rangeBegin, ArtikelEbayEinstellungenSetArtNrKuInfoIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Artikelnummer ( String )</summary>
			public virtual String ArtNr {
				get { return Convert.ToString(this["ArtNr"]); }
				set { this["ArtNr"] = value; }
			}
			/// <summary>Kurzinformation ( String )</summary>
			public virtual String KuInfo {
				get { return Convert.ToString(this["KuInfo"]); }
				set { this["KuInfo"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
