using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelEbayEinstellungenSetAucWebIDIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AucWebID";
			

		internal ArtikelEbayEinstellungenSetAucWebIDIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ArtikelEbayEinstellungenSetAucWebIDIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ArtikelEbayEinstellungenSetAucWebIDIndex.IndexFields rangeBegin, ArtikelEbayEinstellungenSetAucWebIDIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>ID zum Abgleich mit Auktionsplattform ( Integer )</summary>
			public virtual Int32 AucWebArtID {
				get { return Convert.ToInt32(this["AucWebArtID"]); }
				set { this["AucWebArtID"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
