using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelGebindeSetArtNrEinhIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ArtNrEinh";
			

		internal ArtikelGebindeSetArtNrEinhIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ArtikelGebindeSetArtNrEinhIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ArtikelGebindeSetArtNrEinhIndex.IndexFields rangeBegin, ArtikelGebindeSetArtNrEinhIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Artikelnummer ( String )</summary>
			public virtual String ArtNr {
				get { return Convert.ToString(this["ArtNr"]); }
				set { this["ArtNr"] = value; }
			}
			/// <summary>Einheit ( String )</summary>
			public virtual String Einh {
				get { return Convert.ToString(this["Einh"]); }
				set { this["Einh"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
