using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelKategorienSetParentNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ParentNr";
			

		internal ArtikelKategorienSetParentNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ArtikelKategorienSetParentNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ArtikelKategorienSetParentNrIndex.IndexFields rangeBegin, ArtikelKategorienSetParentNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Kategorienummer der bergeordneten Kategorie ( Integer )</summary>
			public virtual Int32 ParentNr {
				get { return Convert.ToInt32(this["ParentNr"]); }
				set { this["ParentNr"] = value; }
			}
			/// <summary>Index ( Integer )</summary>
			public virtual Int32 Index {
				get { return Convert.ToInt32(this["Index"]); }
				set { this["Index"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
