using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelLieferantenSetRabGrpNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "RabGrpNr";
			

		internal ArtikelLieferantenSetRabGrpNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ArtikelLieferantenSetRabGrpNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ArtikelLieferantenSetRabGrpNrIndex.IndexFields rangeBegin, ArtikelLieferantenSetRabGrpNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Adressnummer ( String )</summary>
			public virtual String AdrNr {
				get { return Convert.ToString(this["AdrNr"]); }
				set { this["AdrNr"] = value; }
			}
			/// <summary>Rabattgruppe (DataNorm) ( String )</summary>
			public virtual String DNRabGrpNr {
				get { return Convert.ToString(this["DNRabGrpNr"]); }
				set { this["DNRabGrpNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
