using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelSetAucWebIdAllIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AucWebIdAll";
			

		internal ArtikelSetAucWebIdAllIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ArtikelSetAucWebIdAllIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ArtikelSetAucWebIdAllIndex.IndexFields rangeBegin, ArtikelSetAucWebIdAllIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>ID zum Abgleich mit Auktionsplattform ( String )</summary>
			public virtual String AucWebID {
				get { return Convert.ToString(this["AucWebID"]); }
				set { this["AucWebID"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
