using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelStuecklisteSetSlArtNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "SlArtNr";
			

		internal ArtikelStuecklisteSetSlArtNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ArtikelStuecklisteSetSlArtNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ArtikelStuecklisteSetSlArtNrIndex.IndexFields rangeBegin, ArtikelStuecklisteSetSlArtNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Stckliste von Artikelnummer ( String )</summary>
			public virtual String SlArtNr {
				get { return Convert.ToString(this["SlArtNr"]); }
				set { this["SlArtNr"] = value; }
			}
			/// <summary>Zeilennummer ( SmallInt )</summary>
			public virtual Object ZeilenNr {
				get { return this["ZeilenNr"]; }
				set { this["ZeilenNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
