using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AusgabeverzeichnisHisSetBzrNrDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "BzrNrDat";
			

		internal AusgabeverzeichnisHisSetBzrNrDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AusgabeverzeichnisHisSetBzrNrDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AusgabeverzeichnisHisSetBzrNrDatIndex.IndexFields rangeBegin, AusgabeverzeichnisHisSetBzrNrDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Benutzernummer ( String )</summary>
			public virtual String BzrNr {
				get { return Convert.ToString(this["BzrNr"]); }
				set { this["BzrNr"] = value; }
			}
			/// <summary>Datum ( DateTime )</summary>
			public virtual DateTime Dat {
				get { return Convert.ToDateTime(this["Dat"]); }
				set { this["Dat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
