using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BankKontoAuszuegeSetHBkEmNameIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "HBkEmName";
			

		internal BankKontoAuszuegeSetHBkEmNameIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BankKontoAuszuegeSetHBkEmNameIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BankKontoAuszuegeSetHBkEmNameIndex.IndexFields rangeBegin, BankKontoAuszuegeSetHBkEmNameIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Nummer der Hausbank ( Integer )</summary>
			public virtual Int32 HBk {
				get { return Convert.ToInt32(this["HBk"]); }
				set { this["HBk"] = value; }
			}
			/// <summary>Empfnger ( String )</summary>
			public virtual String EmName {
				get { return Convert.ToString(this["EmName"]); }
				set { this["EmName"] = value; }
			}
			/// <summary>ID ( AutoInc )</summary>
			public virtual Int32 ID {
				get { return Convert.ToInt32(this["ID"]); }
				set { this["ID"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
