using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BeitragsAbrechnungenSetDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "Dat";
			

		internal BeitragsAbrechnungenSetDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BeitragsAbrechnungenSetDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BeitragsAbrechnungenSetDatIndex.IndexFields rangeBegin, BeitragsAbrechnungenSetDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Einzugsstellennummer fr Beitragsabrechnung ( String )</summary>
			public virtual String KbuKrkNr {
				get { return Convert.ToString(this["KbuKrkNr"]); }
				set { this["KbuKrkNr"] = value; }
			}
			/// <summary>Datum ( Date )</summary>
			public virtual DateTime Dat {
				get { return Convert.ToDateTime(this["Dat"]); }
				set { this["Dat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
