using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BeitragsAbrechnungenSetKbuDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "KbuDat";
			

		internal BeitragsAbrechnungenSetKbuDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BeitragsAbrechnungenSetKbuDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BeitragsAbrechnungenSetKbuDatIndex.IndexFields rangeBegin, BeitragsAbrechnungenSetKbuDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Datum fr Beitragsabrechnung ( DateTime )</summary>
			public virtual DateTime KbuDat {
				get { return Convert.ToDateTime(this["KbuDat"]); }
				set { this["KbuDat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
