using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BeitragsAbrechnungenSetKbuVorlaeufigIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "KbuVorlaeufig";
			

		internal BeitragsAbrechnungenSetKbuVorlaeufigIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BeitragsAbrechnungenSetKbuVorlaeufigIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BeitragsAbrechnungenSetKbuVorlaeufigIndex.IndexFields rangeBegin, BeitragsAbrechnungenSetKbuVorlaeufigIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Datum fr Beitragsabrechnung ( DateTime )</summary>
			public virtual DateTime KbuDat {
				get { return Convert.ToDateTime(this["KbuDat"]); }
				set { this["KbuDat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
