using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BenutzerNachrichtenSetArtGrpBzrNrAllIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ArtGrpBzrNrAll";
			

		internal BenutzerNachrichtenSetArtGrpBzrNrAllIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BenutzerNachrichtenSetArtGrpBzrNrAllIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BenutzerNachrichtenSetArtGrpBzrNrAllIndex.IndexFields rangeBegin, BenutzerNachrichtenSetArtGrpBzrNrAllIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Nachrichtenart ( Integer )</summary>
			public virtual Int32 Art {
				get { return Convert.ToInt32(this["Art"]); }
				set { this["Art"] = value; }
			}
			/// <summary>Nachrichtengruppenart ( String )</summary>
			public virtual String ArtGrp {
				get { return Convert.ToString(this["ArtGrp"]); }
				set { this["ArtGrp"] = value; }
			}
			/// <summary>Sachbearbeiter (Benutzernummer) ( String )</summary>
			public virtual String SBzrNr {
				get { return Convert.ToString(this["SBzrNr"]); }
				set { this["SBzrNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
