using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BestelleingangSetAdrNrBestNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AdrNrBestNr";
			

		internal BestelleingangSetAdrNrBestNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BestelleingangSetAdrNrBestNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BestelleingangSetAdrNrBestNrIndex.IndexFields rangeBegin, BestelleingangSetAdrNrBestNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Adressnummer ( String )</summary>
			public virtual String AdrNr {
				get { return Convert.ToString(this["AdrNr"]); }
				set { this["AdrNr"] = value; }
			}
			/// <summary>Bestellnummer ( String )</summary>
			public virtual String BstNr {
				get { return Convert.ToString(this["BstNr"]); }
				set { this["BstNr"] = value; }
			}
			/// <summary>Lieferdatum ( Date )</summary>
			public virtual DateTime LiefDat {
				get { return Convert.ToDateTime(this["LiefDat"]); }
				set { this["LiefDat"] = value; }
			}
			/// <summary>Belegpositionsnummer ( SmallInt )</summary>
			public virtual Object BelegPosNr {
				get { return this["BelegPosNr"]; }
				set { this["BelegPosNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
