using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BuchungenFiBuArchivSetGKstNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "GKstNr";
			

		internal BuchungenFiBuArchivSetGKstNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BuchungenFiBuArchivSetGKstNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BuchungenFiBuArchivSetGKstNrIndex.IndexFields rangeBegin, BuchungenFiBuArchivSetGKstNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Gegenkostenstellennummer ( String )</summary>
			public virtual String GKstNr {
				get { return Convert.ToString(this["GKstNr"]); }
				set { this["GKstNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
