using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BuchungenLohnArchivSetBetIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "Bet";
			

		internal BuchungenLohnArchivSetBetIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BuchungenLohnArchivSetBetIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BuchungenLohnArchivSetBetIndex.IndexFields rangeBegin, BuchungenLohnArchivSetBetIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Saldo-Betrag ( Double )</summary>
			public virtual Object ISaldoBetBet {
				get { return this["ISaldoBetBet"]; }
				set { this["ISaldoBetBet"] = value; }
			}
			/// <summary>Belegnummer 1 ( String )</summary>
			public virtual String BelegNr1 {
				get { return Convert.ToString(this["BelegNr1"]); }
				set { this["BelegNr1"] = value; }
			}
			/// <summary>Datum ( Date )</summary>
			public virtual DateTime Dat {
				get { return Convert.ToDateTime(this["Dat"]); }
				set { this["Dat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
