using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BuchungenLohnSetGKtoNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "GKtoNr";
			

		internal BuchungenLohnSetGKtoNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BuchungenLohnSetGKtoNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BuchungenLohnSetGKtoNrIndex.IndexFields rangeBegin, BuchungenLohnSetGKtoNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Gegenkontonummer ( String )</summary>
			public virtual String GKtoNr {
				get { return Convert.ToString(this["GKtoNr"]); }
				set { this["GKtoNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
