using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class EinsatzSetSuchBegIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "SuchBeg";
			

		internal EinsatzSetSuchBegIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(EinsatzSetSuchBegIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(EinsatzSetSuchBegIndex.IndexFields rangeBegin, EinsatzSetSuchBegIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Suchbegriff ( String )</summary>
			public virtual String SuchBeg {
				get { return Convert.ToString(this["SuchBeg"]); }
				set { this["SuchBeg"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
