using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class EinsatzzuordnungSetMitNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "MitNr";
			

		internal EinsatzzuordnungSetMitNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(EinsatzzuordnungSetMitNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(EinsatzzuordnungSetMitNrIndex.IndexFields rangeBegin, EinsatzzuordnungSetMitNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Mitarbeiternummer ( Integer )</summary>
			public virtual Int32 MitNr {
				get { return Convert.ToInt32(this["MitNr"]); }
				set { this["MitNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
