using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class HistorySetBelegNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "BelegNr";
			

		internal HistorySetBelegNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(HistorySetBelegNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(HistorySetBelegNrIndex.IndexFields rangeBegin, HistorySetBelegNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Belegnummer ( String )</summary>
			public virtual String BelegNr {
				get { return Convert.ToString(this["BelegNr"]); }
				set { this["BelegNr"] = value; }
			}
			/// <summary>Belegpositionsnummer ( SmallInt )</summary>
			public virtual Object BelegPosNr {
				get { return this["BelegPosNr"]; }
				set { this["BelegPosNr"] = value; }
			}
			/// <summary>Artikelnummer ( String )</summary>
			public virtual String ArtNr {
				get { return Convert.ToString(this["ArtNr"]); }
				set { this["ArtNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
