using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class HistorySetKstNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "KstNr";
			

		internal HistorySetKstNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(HistorySetKstNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(HistorySetKstNrIndex.IndexFields rangeBegin, HistorySetKstNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Kostenstellennummer ( String )</summary>
			public virtual String KstNr {
				get { return Convert.ToString(this["KstNr"]); }
				set { this["KstNr"] = value; }
			}
			/// <summary>Datum ( Date )</summary>
			public virtual DateTime Dat {
				get { return Convert.ToDateTime(this["Dat"]); }
				set { this["Dat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
