using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class IOLayoutsSetBeaStufeIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "BeaStufe";
			

		internal IOLayoutsSetBeaStufeIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(IOLayoutsSetBeaStufeIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(IOLayoutsSetBeaStufeIndex.IndexFields rangeBegin, IOLayoutsSetBeaStufeIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Stufe des Bearbeitungsstandes ( Integer )</summary>
			public virtual Int32 BeaStufe {
				get { return Convert.ToInt32(this["BeaStufe"]); }
				set { this["BeaStufe"] = value; }
			}
			/// <summary>Bezeichnung ( String )</summary>
			public virtual String Bez {
				get { return Convert.ToString(this["Bez"]); }
				set { this["Bez"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
