using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KalendariumSetDatMitNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "DatMitNr";
			

		internal KalendariumSetDatMitNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KalendariumSetDatMitNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KalendariumSetDatMitNrIndex.IndexFields rangeBegin, KalendariumSetDatMitNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Datum ( Date )</summary>
			public virtual DateTime Dat {
				get { return Convert.ToDateTime(this["Dat"]); }
				set { this["Dat"] = value; }
			}
			/// <summary>Mitarbeiternummer ( String )</summary>
			public virtual String MitNr {
				get { return Convert.ToString(this["MitNr"]); }
				set { this["MitNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
