using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KalenderArchivSetBzrArtDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "BzrArtDat";
			

		internal KalenderArchivSetBzrArtDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KalenderArchivSetBzrArtDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KalenderArchivSetBzrArtDatIndex.IndexFields rangeBegin, KalenderArchivSetBzrArtDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Sachbearbeiter (Benutzernummer) ( String )</summary>
			public virtual String SBzrNr {
				get { return Convert.ToString(this["SBzrNr"]); }
				set { this["SBzrNr"] = value; }
			}
			/// <summary>Art ( Byte )</summary>
			public virtual Object Art {
				get { return this["Art"]; }
				set { this["Art"] = value; }
			}
			/// <summary>Startdatum ( Date )</summary>
			public virtual DateTime StartDat {
				get { return Convert.ToDateTime(this["StartDat"]); }
				set { this["StartDat"] = value; }
			}
			/// <summary>Startzeit ( Time )</summary>
			public virtual Object StartZt {
				get { return this["StartZt"]; }
				set { this["StartZt"] = value; }
			}
			/// <summary>Enddatum ( Date )</summary>
			public virtual DateTime EndDat {
				get { return Convert.ToDateTime(this["EndDat"]); }
				set { this["EndDat"] = value; }
			}
			/// <summary>Endzeit ( Time )</summary>
			public virtual Object EndZt {
				get { return this["EndZt"]; }
				set { this["EndZt"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
