using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KalenderSetAnhNrDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AnhNrDat";
			

		internal KalenderSetAnhNrDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KalenderSetAnhNrDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KalenderSetAnhNrDatIndex.IndexFields rangeBegin, KalenderSetAnhNrDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Anhang (Bereich) ( String )</summary>
			public virtual String AnhDBBkzBez {
				get { return Convert.ToString(this["AnhDBBkzBez"]); }
				set { this["AnhDBBkzBez"] = value; }
			}
			/// <summary>Anhang (ID) ( Integer )</summary>
			public virtual Int32 AnhNr {
				get { return Convert.ToInt32(this["AnhNr"]); }
				set { this["AnhNr"] = value; }
			}
			/// <summary>Startdatum ( Date )</summary>
			public virtual DateTime StartDat {
				get { return Convert.ToDateTime(this["StartDat"]); }
				set { this["StartDat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
