using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KalenderSetBzrMeldDatZtIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "BzrMeldDatZt";
			

		internal KalenderSetBzrMeldDatZtIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KalenderSetBzrMeldDatZtIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KalenderSetBzrMeldDatZtIndex.IndexFields rangeBegin, KalenderSetBzrMeldDatZtIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Sachbearbeiter (Benutzernummer) ( String )</summary>
			public virtual String SBzrNr {
				get { return Convert.ToString(this["SBzrNr"]); }
				set { this["SBzrNr"] = value; }
			}
			/// <summary>Erinnerungsdatum und -zeit ( DateTime )</summary>
			public virtual DateTime MeldDatZt {
				get { return Convert.ToDateTime(this["MeldDatZt"]); }
				set { this["MeldDatZt"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
