using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KalenderSetKuInfoIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "KuInfo";
			

		internal KalenderSetKuInfoIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KalenderSetKuInfoIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KalenderSetKuInfoIndex.IndexFields rangeBegin, KalenderSetKuInfoIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Kurzinfo ( String )</summary>
			public virtual String KuInfo {
				get { return Convert.ToString(this["KuInfo"]); }
				set { this["KuInfo"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
