using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KassenPositionSetNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "Nr";
			

		internal KassenPositionSetNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KassenPositionSetNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KassenPositionSetNrIndex.IndexFields rangeBegin, KassenPositionSetNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>interne Belegnummer ( Integer )</summary>
			public virtual Int32 IntBelegNr {
				get { return Convert.ToInt32(this["IntBelegNr"]); }
				set { this["IntBelegNr"] = value; }
			}
			/// <summary>Zeilennummer ( SmallInt )</summary>
			public virtual Object ZeilenNr {
				get { return this["ZeilenNr"]; }
				set { this["ZeilenNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
