using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KontakteSetDBBkzBezPrjNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "DBBkzBezPrjNr";
			

		internal KontakteSetDBBkzBezPrjNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KontakteSetDBBkzBezPrjNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KontakteSetDBBkzBezPrjNrIndex.IndexFields rangeBegin, KontakteSetDBBkzBezPrjNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Bereich ( String )</summary>
			public virtual String DBBkzBez {
				get { return Convert.ToString(this["DBBkzBez"]); }
				set { this["DBBkzBez"] = value; }
			}
			/// <summary>Projektnummer ( String )</summary>
			public virtual String PrjNr {
				get { return Convert.ToString(this["PrjNr"]); }
				set { this["PrjNr"] = value; }
			}
			/// <summary>Erfassungsdatum ( DateTime )</summary>
			public virtual DateTime ErfDat {
				get { return Convert.ToDateTime(this["ErfDat"]); }
				set { this["ErfDat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
