using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KontakteSetErfDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ErfDat";
			

		internal KontakteSetErfDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KontakteSetErfDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KontakteSetErfDatIndex.IndexFields rangeBegin, KontakteSetErfDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Erfassungsdatum ( DateTime )</summary>
			public virtual DateTime ErfDat {
				get { return Convert.ToDateTime(this["ErfDat"]); }
				set { this["ErfDat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
