using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KontenBlaetterSetHabenIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "Haben";
			

		internal KontenBlaetterSetHabenIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KontenBlaetterSetHabenIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KontenBlaetterSetHabenIndex.IndexFields rangeBegin, KontenBlaetterSetHabenIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Haben-Betrag ( Double )</summary>
			public virtual Object HabenBet {
				get { return this["HabenBet"]; }
				set { this["HabenBet"] = value; }
			}
			/// <summary>Datum ( Date )</summary>
			public virtual DateTime Dat {
				get { return Convert.ToDateTime(this["Dat"]); }
				set { this["Dat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
