using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KontenBlaetterSetJPKtoNrHabenIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "JPKtoNrHaben";
			

		internal KontenBlaetterSetJPKtoNrHabenIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KontenBlaetterSetJPKtoNrHabenIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KontenBlaetterSetJPKtoNrHabenIndex.IndexFields rangeBegin, KontenBlaetterSetJPKtoNrHabenIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Jahr ( SmallInt )</summary>
			public virtual Object Jahr {
				get { return this["Jahr"]; }
				set { this["Jahr"] = value; }
			}
			/// <summary>Periode ( Byte )</summary>
			public virtual Object Per {
				get { return this["Per"]; }
				set { this["Per"] = value; }
			}
			/// <summary>Kontonummer ( String )</summary>
			public virtual String KtoNr {
				get { return Convert.ToString(this["KtoNr"]); }
				set { this["KtoNr"] = value; }
			}
			/// <summary>Haben-Betrag ( Double )</summary>
			public virtual Object HabenBet {
				get { return this["HabenBet"]; }
				set { this["HabenBet"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
