using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KontenBlaetterSetJPKtoNrTextIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "JPKtoNrText";
			

		internal KontenBlaetterSetJPKtoNrTextIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KontenBlaetterSetJPKtoNrTextIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KontenBlaetterSetJPKtoNrTextIndex.IndexFields rangeBegin, KontenBlaetterSetJPKtoNrTextIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Jahr ( SmallInt )</summary>
			public virtual Object Jahr {
				get { return this["Jahr"]; }
				set { this["Jahr"] = value; }
			}
			/// <summary>Periode ( Byte )</summary>
			public virtual Object Per {
				get { return this["Per"]; }
				set { this["Per"] = value; }
			}
			/// <summary>Kontonummer ( String )</summary>
			public virtual String KtoNr {
				get { return Convert.ToString(this["KtoNr"]); }
				set { this["KtoNr"] = value; }
			}
			/// <summary>Text ( String )</summary>
			public virtual String Text {
				get { return Convert.ToString(this["Text"]); }
				set { this["Text"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
