using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KontenBlaetterSetJPPtkNrLfdBchNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "JPPtkNrLfdBchNr";
			

		internal KontenBlaetterSetJPPtkNrLfdBchNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KontenBlaetterSetJPPtkNrLfdBchNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KontenBlaetterSetJPPtkNrLfdBchNrIndex.IndexFields rangeBegin, KontenBlaetterSetJPPtkNrLfdBchNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Jahr ( SmallInt )</summary>
			public virtual Object Jahr {
				get { return this["Jahr"]; }
				set { this["Jahr"] = value; }
			}
			/// <summary>Periode ( Byte )</summary>
			public virtual Object Per {
				get { return this["Per"]; }
				set { this["Per"] = value; }
			}
			/// <summary>Buchungsprotokollnummer innerhalb der Periode ( Integer )</summary>
			public virtual Int32 PerPtkNr {
				get { return Convert.ToInt32(this["PerPtkNr"]); }
				set { this["PerPtkNr"] = value; }
			}
			/// <summary>Laufende Buchungsnummer ( Integer )</summary>
			public virtual Int32 LfdBchNr {
				get { return Convert.ToInt32(this["LfdBchNr"]); }
				set { this["LfdBchNr"] = value; }
			}
			/// <summary>Laufende Schreibnummer ( Byte )</summary>
			public virtual Object LfdSchreibNr {
				get { return this["LfdSchreibNr"]; }
				set { this["LfdSchreibNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
