using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KostenstellenSetLtzUmsatzIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "LtzUmsatz";
			

		internal KostenstellenSetLtzUmsatzIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KostenstellenSetLtzUmsatzIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KostenstellenSetLtzUmsatzIndex.IndexFields rangeBegin, KostenstellenSetLtzUmsatzIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Auftrag Letzter Umsatz ( Date )</summary>
			public virtual DateTime ALtzUmsDat {
				get { return Convert.ToDateTime(this["ALtzUmsDat"]); }
				set { this["ALtzUmsDat"] = value; }
			}
			/// <summary>Kostenstellennummer ( String )</summary>
			public virtual String KstNr {
				get { return Convert.ToString(this["KstNr"]); }
				set { this["KstNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
