using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class LagerBestandSetArtNrChargeIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ArtNrCharge";
			

		internal LagerBestandSetArtNrChargeIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(LagerBestandSetArtNrChargeIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(LagerBestandSetArtNrChargeIndex.IndexFields rangeBegin, LagerBestandSetArtNrChargeIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Artikelnummer ( String )</summary>
			public virtual String ArtNr {
				get { return Convert.ToString(this["ArtNr"]); }
				set { this["ArtNr"] = value; }
			}
			/// <summary>Charge ( String )</summary>
			public virtual String Charge {
				get { return Convert.ToString(this["Charge"]); }
				set { this["Charge"] = value; }
			}
			/// <summary>Buchungsdatum ( DateTime )</summary>
			public virtual DateTime BuchDat {
				get { return Convert.ToDateTime(this["BuchDat"]); }
				set { this["BuchDat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
