using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class LagerBestandSetArtNrLagNrSNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ArtNrLagNrSNr";
			

		internal LagerBestandSetArtNrLagNrSNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(LagerBestandSetArtNrLagNrSNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(LagerBestandSetArtNrLagNrSNrIndex.IndexFields rangeBegin, LagerBestandSetArtNrLagNrSNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Artikelnummer ( String )</summary>
			public virtual String ArtNr {
				get { return Convert.ToString(this["ArtNr"]); }
				set { this["ArtNr"] = value; }
			}
			/// <summary>Lagernummer ( String )</summary>
			public virtual String LagNr {
				get { return Convert.ToString(this["LagNr"]); }
				set { this["LagNr"] = value; }
			}
			/// <summary>Seriennummer ( String )</summary>
			public virtual String SerienNr {
				get { return Convert.ToString(this["SerienNr"]); }
				set { this["SerienNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
