using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class LagerBestandSetKstNrBDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "KstNrBDat";
			

		internal LagerBestandSetKstNrBDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(LagerBestandSetKstNrBDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(LagerBestandSetKstNrBDatIndex.IndexFields rangeBegin, LagerBestandSetKstNrBDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Kostenstellennummer ( String )</summary>
			public virtual String KstNr {
				get { return Convert.ToString(this["KstNr"]); }
				set { this["KstNr"] = value; }
			}
			/// <summary>Buchungsdatum ( DateTime )</summary>
			public virtual DateTime BuchDat {
				get { return Convert.ToDateTime(this["BuchDat"]); }
				set { this["BuchDat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
