using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class LagerSetBezIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "Bez";
			

		internal LagerSetBezIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(LagerSetBezIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(LagerSetBezIndex.IndexFields rangeBegin, LagerSetBezIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Bezeichnung ( String )</summary>
			public virtual String Bez {
				get { return Convert.ToString(this["Bez"]); }
				set { this["Bez"] = value; }
			}
			/// <summary>Lagernummer ( String )</summary>
			public virtual String LagNr {
				get { return Convert.ToString(this["LagNr"]); }
				set { this["LagNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
