using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class LagerSetLtzLagBewIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "LtzLagBew";
			

		internal LagerSetLtzLagBewIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(LagerSetLtzLagBewIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(LagerSetLtzLagBewIndex.IndexFields rangeBegin, LagerSetLtzLagBewIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Letzte Lagerbewegung ( DateTime )</summary>
			public virtual DateTime LtzLagBew {
				get { return Convert.ToDateTime(this["LtzLagBew"]); }
				set { this["LtzLagBew"] = value; }
			}
			/// <summary>Artikelnummer ( String )</summary>
			public virtual String ArtNr {
				get { return Convert.ToString(this["ArtNr"]); }
				set { this["ArtNr"] = value; }
			}
			/// <summary>Lagernummer ( String )</summary>
			public virtual String LagNr {
				get { return Convert.ToString(this["LagNr"]); }
				set { this["LagNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
