using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class LagerbuchSetArtNrLagNrDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ArtNrLagNrDat";
			

		internal LagerbuchSetArtNrLagNrDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(LagerbuchSetArtNrLagNrDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(LagerbuchSetArtNrLagNrDatIndex.IndexFields rangeBegin, LagerbuchSetArtNrLagNrDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Artikelnummer ( String )</summary>
			public virtual String ArtNr {
				get { return Convert.ToString(this["ArtNr"]); }
				set { this["ArtNr"] = value; }
			}
			/// <summary>Lagernummer ( String )</summary>
			public virtual String LagNr {
				get { return Convert.ToString(this["LagNr"]); }
				set { this["LagNr"] = value; }
			}
			/// <summary>Datum ( DateTime )</summary>
			public virtual DateTime Dat {
				get { return Convert.ToDateTime(this["Dat"]); }
				set { this["Dat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
