using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class LohnBuchungsuebersichtSetJahrMonatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "JahrMonat";
			

		internal LohnBuchungsuebersichtSetJahrMonatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(LohnBuchungsuebersichtSetJahrMonatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(LohnBuchungsuebersichtSetJahrMonatIndex.IndexFields rangeBegin, LohnBuchungsuebersichtSetJahrMonatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Jahr ( Integer )</summary>
			public virtual Int32 Jahr {
				get { return Convert.ToInt32(this["Jahr"]); }
				set { this["Jahr"] = value; }
			}
			/// <summary>Monat ( Integer )</summary>
			public virtual Int32 Monat {
				get { return Convert.ToInt32(this["Monat"]); }
				set { this["Monat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
