using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class OffenePostenSetDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "Dat";
			

		internal OffenePostenSetDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(OffenePostenSetDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(OffenePostenSetDatIndex.IndexFields rangeBegin, OffenePostenSetDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Buchungsdatum ( Date )</summary>
			public virtual DateTime BuchDat {
				get { return Convert.ToDateTime(this["BuchDat"]); }
				set { this["BuchDat"] = value; }
			}
			/// <summary>Adressnummer ( String )</summary>
			public virtual String AdrNr {
				get { return Convert.ToString(this["AdrNr"]); }
				set { this["AdrNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
