using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ProjekteSetSuchBegIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "SuchBeg";
			

		internal ProjekteSetSuchBegIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ProjekteSetSuchBegIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ProjekteSetSuchBegIndex.IndexFields rangeBegin, ProjekteSetSuchBegIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Suchbegriff ( String )</summary>
			public virtual String SuchBeg {
				get { return Convert.ToString(this["SuchBeg"]); }
				set { this["SuchBeg"] = value; }
			}
			/// <summary>Datum ( Date )</summary>
			public virtual DateTime Dat {
				get { return Convert.ToDateTime(this["Dat"]); }
				set { this["Dat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
