using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ProtokolleSetErstDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ErstDat";
			

		internal ProtokolleSetErstDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ProtokolleSetErstDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ProtokolleSetErstDatIndex.IndexFields rangeBegin, ProtokolleSetErstDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Erstellungsdatum ( DateTime )</summary>
			public virtual DateTime ErstDat {
				get { return Convert.ToDateTime(this["ErstDat"]); }
				set { this["ErstDat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
