using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Support0SetBereichAendDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "BereichAendDat";
			

		internal Support0SetBereichAendDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(Support0SetBereichAendDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(Support0SetBereichAendDatIndex.IndexFields rangeBegin, Support0SetBereichAendDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Bereich ( String )</summary>
			public virtual String Bereich {
				get { return Convert.ToString(this["Bereich"]); }
				set { this["Bereich"] = value; }
			}
			/// <summary>nderungsdatum ( DateTime )</summary>
			public virtual DateTime IntAendDat {
				get { return Convert.ToDateTime(this["IntAendDat"]); }
				set { this["IntAendDat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
