using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Support1SetPruefSBzrNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "PruefSBzrNr";
			

		internal Support1SetPruefSBzrNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(Support1SetPruefSBzrNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(Support1SetPruefSBzrNrIndex.IndexFields rangeBegin, Support1SetPruefSBzrNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Prf - Sachbearbeiter (Benutzernummer) ( String )</summary>
			public virtual String GeprSBzrNr {
				get { return Convert.ToString(this["GeprSBzrNr"]); }
				set { this["GeprSBzrNr"] = value; }
			}
			/// <summary>Nchstes Datum der Prfung ( DateTime )</summary>
			public virtual DateTime GeprDatNaechst {
				get { return Convert.ToDateTime(this["GeprDatNaechst"]); }
				set { this["GeprDatNaechst"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
