using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Support4SetErstDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ErstDat";
			

		internal Support4SetErstDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(Support4SetErstDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(Support4SetErstDatIndex.IndexFields rangeBegin, Support4SetErstDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Erstellungsdatum ( DateTime )</summary>
			public virtual DateTime IntErstDat {
				get { return Convert.ToDateTime(this["IntErstDat"]); }
				set { this["IntErstDat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
