using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class TelefonSetNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "Nr";
			

		internal TelefonSetNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(TelefonSetNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(TelefonSetNrIndex.IndexFields rangeBegin, TelefonSetNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Telefon ( String )</summary>
			public virtual String Tel {
				get { return Convert.ToString(this["Tel"]); }
				set { this["Tel"] = value; }
			}
			/// <summary>Bereich ( String )</summary>
			public virtual String DBBkzBez {
				get { return Convert.ToString(this["DBBkzBez"]); }
				set { this["DBBkzBez"] = value; }
			}
			/// <summary>(ID) ( Integer )</summary>
			public virtual Int32 Nr {
				get { return Convert.ToInt32(this["Nr"]); }
				set { this["Nr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
