using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VersandArchivSetVsdHiDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "VsdHiDat";
			

		internal VersandArchivSetVsdHiDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(VersandArchivSetVsdHiDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(VersandArchivSetVsdHiDatIndex.IndexFields rangeBegin, VersandArchivSetVsdHiDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Versender ( String )</summary>
			public virtual String Versender {
				get { return Convert.ToString(this["Versender"]); }
				set { this["Versender"] = value; }
			}
			/// <summary>Historydatum ( DateTime )</summary>
			public virtual DateTime HyDat {
				get { return Convert.ToDateTime(this["HyDat"]); }
				set { this["HyDat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
