using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VersandSetVsdArtLfdPktNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "VsdArtLfdPktNr";
			

		internal VersandSetVsdArtLfdPktNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(VersandSetVsdArtLfdPktNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(VersandSetVsdArtLfdPktNrIndex.IndexFields rangeBegin, VersandSetVsdArtLfdPktNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Versandart ( Integer )</summary>
			public virtual Int32 PktNrVsdArt {
				get { return Convert.ToInt32(this["PktNrVsdArt"]); }
				set { this["PktNrVsdArt"] = value; }
			}
			/// <summary>laufende Paketnummer ( String )</summary>
			public virtual String LfdPktNr {
				get { return Convert.ToString(this["LfdPktNr"]); }
				set { this["LfdPktNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
