using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VertreterSetLtzUmsatzIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "LtzUmsatz";
			

		internal VertreterSetLtzUmsatzIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(VertreterSetLtzUmsatzIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(VertreterSetLtzUmsatzIndex.IndexFields rangeBegin, VertreterSetLtzUmsatzIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Letzter Umsatz ( Date )</summary>
			public virtual DateTime LtzUmsDat {
				get { return Convert.ToDateTime(this["LtzUmsDat"]); }
				set { this["LtzUmsDat"] = value; }
			}
			/// <summary>Vertreternummer ( String )</summary>
			public virtual String VtrNr {
				get { return Convert.ToString(this["VtrNr"]); }
				set { this["VtrNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
