using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VorgangArtenSetNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "Nr";
			

		internal VorgangArtenSetNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(VorgangArtenSetNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(VorgangArtenSetNrIndex.IndexFields rangeBegin, VorgangArtenSetNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Nummer ( Byte )</summary>
			public virtual Object Nr {
				get { return this["Nr"]; }
				set { this["Nr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
