using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VorgangPositionSetGrpArtNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "GrpArtNr";
			

		internal VorgangPositionSetGrpArtNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(VorgangPositionSetGrpArtNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(VorgangPositionSetGrpArtNrIndex.IndexFields rangeBegin, VorgangPositionSetGrpArtNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Vorgangsgruppe ( Byte )</summary>
			public virtual Object Grp {
				get { return this["Grp"]; }
				set { this["Grp"] = value; }
			}
			/// <summary>Artikelnummer ( String )</summary>
			public virtual String ArtNr {
				get { return Convert.ToString(this["ArtNr"]); }
				set { this["ArtNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
