using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VorgangPositionSetGrpLiefDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "GrpLiefDat";
			

		internal VorgangPositionSetGrpLiefDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(VorgangPositionSetGrpLiefDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(VorgangPositionSetGrpLiefDatIndex.IndexFields rangeBegin, VorgangPositionSetGrpLiefDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Vorgangsgruppe ( Byte )</summary>
			public virtual Object Grp {
				get { return this["Grp"]; }
				set { this["Grp"] = value; }
			}
			/// <summary>Lieferdatum ( Date )</summary>
			public virtual DateTime LiefDat {
				get { return Convert.ToDateTime(this["LiefDat"]); }
				set { this["LiefDat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
