using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VorgangPositionSetNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "Nr";
			

		internal VorgangPositionSetNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(VorgangPositionSetNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(VorgangPositionSetNrIndex.IndexFields rangeBegin, VorgangPositionSetNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Belegnummer ( String )</summary>
			public virtual String BelegNr {
				get { return Convert.ToString(this["BelegNr"]); }
				set { this["BelegNr"] = value; }
			}
			/// <summary>Zeilennummer ( SmallInt )</summary>
			public virtual Object ZeilenNr {
				get { return this["ZeilenNr"]; }
				set { this["ZeilenNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
