using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VorgangSetGrpLiefDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "GrpLiefDat";
			

		internal VorgangSetGrpLiefDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(VorgangSetGrpLiefDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(VorgangSetGrpLiefDatIndex.IndexFields rangeBegin, VorgangSetGrpLiefDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Vorgangsgruppe ( Byte )</summary>
			public virtual Object Grp {
				get { return this["Grp"]; }
				set { this["Grp"] = value; }
			}
			/// <summary>Lieferdatum ( Date )</summary>
			public virtual DateTime LiefDat {
				get { return Convert.ToDateTime(this["LiefDat"]); }
				set { this["LiefDat"] = value; }
			}
			/// <summary>Datum ( Date )</summary>
			public virtual DateTime Dat {
				get { return Convert.ToDateTime(this["Dat"]); }
				set { this["Dat"] = value; }
			}
			/// <summary>Belegnummer ( String )</summary>
			public virtual String BelegNr {
				get { return Convert.ToString(this["BelegNr"]); }
				set { this["BelegNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
