using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VorgangSetKstNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "KstNr";
			

		internal VorgangSetKstNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(VorgangSetKstNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(VorgangSetKstNrIndex.IndexFields rangeBegin, VorgangSetKstNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Kostenstellennummer ( String )</summary>
			public virtual String KstNr {
				get { return Convert.ToString(this["KstNr"]); }
				set { this["KstNr"] = value; }
			}
			/// <summary>Belegnummer ( String )</summary>
			public virtual String BelegNr {
				get { return Convert.ToString(this["BelegNr"]); }
				set { this["BelegNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
