using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ZahlungsVerkehrArchivSetEmBLZIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "EmBLZ";
			

		internal ZahlungsVerkehrArchivSetEmBLZIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ZahlungsVerkehrArchivSetEmBLZIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ZahlungsVerkehrArchivSetEmBLZIndex.IndexFields rangeBegin, ZahlungsVerkehrArchivSetEmBLZIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Bankleitzahl des Empfngers ( String )</summary>
			public virtual String EmBLZ {
				get { return Convert.ToString(this["EmBLZ"]); }
				set { this["EmBLZ"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
