using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ZahlungsVerkehrArchivSetZAAbsKNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ZAAbsKNr";
			

		internal ZahlungsVerkehrArchivSetZAAbsKNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ZahlungsVerkehrArchivSetZAAbsKNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ZahlungsVerkehrArchivSetZAAbsKNrIndex.IndexFields rangeBegin, ZahlungsVerkehrArchivSetZAAbsKNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Zahlungsart ( Integer )</summary>
			public virtual Int32 ZahlArt {
				get { return Convert.ToInt32(this["ZahlArt"]); }
				set { this["ZahlArt"] = value; }
			}
			/// <summary>Kontonummer des Absenders ( String )</summary>
			public virtual String KNr {
				get { return Convert.ToString(this["KNr"]); }
				set { this["KNr"] = value; }
			}
			/// <summary>Bankleitzahl des Absenders ( String )</summary>
			public virtual String BLZ {
				get { return Convert.ToString(this["BLZ"]); }
				set { this["BLZ"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
