using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ZahlungsVerkehrArchivSetZAEmKNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ZAEmKNr";
			

		internal ZahlungsVerkehrArchivSetZAEmKNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ZahlungsVerkehrArchivSetZAEmKNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ZahlungsVerkehrArchivSetZAEmKNrIndex.IndexFields rangeBegin, ZahlungsVerkehrArchivSetZAEmKNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Zahlungsart ( Integer )</summary>
			public virtual Int32 ZahlArt {
				get { return Convert.ToInt32(this["ZahlArt"]); }
				set { this["ZahlArt"] = value; }
			}
			/// <summary>Kontonummer des Empfngers ( String )</summary>
			public virtual String EmKNr {
				get { return Convert.ToString(this["EmKNr"]); }
				set { this["EmKNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
