using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ZahlungsVerkehrSetEmBezIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "EmBez";
			

		internal ZahlungsVerkehrSetEmBezIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ZahlungsVerkehrSetEmBezIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ZahlungsVerkehrSetEmBezIndex.IndexFields rangeBegin, ZahlungsVerkehrSetEmBezIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Empfnger ( String )</summary>
			public virtual String EmNamen {
				get { return Convert.ToString(this["EmNamen"]); }
				set { this["EmNamen"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
