using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ZahlungsverkehrEingangHisSetBelegNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "BelegNr";
			

		internal ZahlungsverkehrEingangHisSetBelegNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ZahlungsverkehrEingangHisSetBelegNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ZahlungsverkehrEingangHisSetBelegNrIndex.IndexFields rangeBegin, ZahlungsverkehrEingangHisSetBelegNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Belegnummern ( String )</summary>
			public virtual String BelegNrInfo {
				get { return Convert.ToString(this["BelegNrInfo"]); }
				set { this["BelegNrInfo"] = value; }
			}
			/// <summary>Datum ( Date )</summary>
			public virtual DateTime Dat {
				get { return Convert.ToDateTime(this["Dat"]); }
				set { this["Dat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
