using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ZwischenBelegeSetBelegNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "BelegNr";
			

		internal ZwischenBelegeSetBelegNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ZwischenBelegeSetBelegNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ZwischenBelegeSetBelegNrIndex.IndexFields rangeBegin, ZwischenBelegeSetBelegNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Belegnummer ( String )</summary>
			public virtual String BelegNr {
				get { return Convert.ToString(this["BelegNr"]); }
				set { this["BelegNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
