using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ZwischenBelegeSetGrpPrjNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "GrpPrjNr";
			

		internal ZwischenBelegeSetGrpPrjNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ZwischenBelegeSetGrpPrjNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ZwischenBelegeSetGrpPrjNrIndex.IndexFields rangeBegin, ZwischenBelegeSetGrpPrjNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Vorgangsgruppe ( Byte )</summary>
			public virtual Object Grp {
				get { return this["Grp"]; }
				set { this["Grp"] = value; }
			}
			/// <summary>Projektnummer ( String )</summary>
			public virtual String PrjNr {
				get { return Convert.ToString(this["PrjNr"]); }
				set { this["PrjNr"] = value; }
			}
			/// <summary>Datum ( Date )</summary>
			public virtual DateTime Dat {
				get { return Convert.ToDateTime(this["Dat"]); }
				set { this["Dat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
