using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AdressenSetBKtoNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "BKtoNr";
			

		internal AdressenSetBKtoNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AdressenSetBKtoNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AdressenSetBKtoNrIndex.IndexFields rangeBegin, AdressenSetBKtoNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Buchungskontonummer ( String )</summary>
			public virtual String BKtoNr {
				get { return Convert.ToString(this["BKtoNr"]); }
				set { this["BKtoNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
