using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AdressenSetLtzUmsatzIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "LtzUmsatz";
			

		internal AdressenSetLtzUmsatzIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AdressenSetLtzUmsatzIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AdressenSetLtzUmsatzIndex.IndexFields rangeBegin, AdressenSetLtzUmsatzIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Letzter Umsatz ( Date )</summary>
			public virtual DateTime LtzUmsDat {
				get { return Convert.ToDateTime(this["LtzUmsDat"]); }
				set { this["LtzUmsDat"] = value; }
			}
			/// <summary>Adressnummer ( String )</summary>
			public virtual String AdrNr {
				get { return Convert.ToString(this["AdrNr"]); }
				set { this["AdrNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
