using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AdressenSetSel2Index : BpnIndex
	{
		public static readonly String INDEX_NAME = "Sel2";
			

		internal AdressenSetSel2Index(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AdressenSetSel2Index.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AdressenSetSel2Index.IndexFields rangeBegin, AdressenSetSel2Index.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Mailing - Interessenten ( String )</summary>
			public virtual String Sel2 {
				get { return Convert.ToString(this["Sel2"]); }
				set { this["Sel2"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
