using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AnlagenSetAnDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AnDat";
			

		internal AnlagenSetAnDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AnlagenSetAnDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AnlagenSetAnDatIndex.IndexFields rangeBegin, AnlagenSetAnDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Anschaffungsdatum ( Date )</summary>
			public virtual DateTime ADat {
				get { return Convert.ToDateTime(this["ADat"]); }
				set { this["ADat"] = value; }
			}
			/// <summary>Bezeichnung ( String )</summary>
			public virtual String Bez {
				get { return Convert.ToString(this["Bez"]); }
				set { this["Bez"] = value; }
			}
			/// <summary>Anlagennummer ( String )</summary>
			public virtual String AnlNr {
				get { return Convert.ToString(this["AnlNr"]); }
				set { this["AnlNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
