using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AnlagenSetHabenKtoNrInvestAbzugIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "HabenKtoNrInvestAbzug";
			

		internal AnlagenSetHabenKtoNrInvestAbzugIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AnlagenSetHabenKtoNrInvestAbzugIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AnlagenSetHabenKtoNrInvestAbzugIndex.IndexFields rangeBegin, AnlagenSetHabenKtoNrInvestAbzugIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Konto Investitionsabzug Haben-Seite ( String )</summary>
			public virtual String HabenKtoInvestabzug {
				get { return Convert.ToString(this["HabenKtoInvestabzug"]); }
				set { this["HabenKtoInvestabzug"] = value; }
			}
			/// <summary>Bezeichnung ( String )</summary>
			public virtual String Bez {
				get { return Convert.ToString(this["Bez"]); }
				set { this["Bez"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
