using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AnlagenSetKtoNrAnlIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "KtoNrAnl";
			

		internal AnlagenSetKtoNrAnlIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AnlagenSetKtoNrAnlIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AnlagenSetKtoNrAnlIndex.IndexFields rangeBegin, AnlagenSetKtoNrAnlIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Konto Anlagevermgen ( String )</summary>
			public virtual String KtoAV {
				get { return Convert.ToString(this["KtoAV"]); }
				set { this["KtoAV"] = value; }
			}
			/// <summary>Konto AfA ( String )</summary>
			public virtual String KtoAfA {
				get { return Convert.ToString(this["KtoAfA"]); }
				set { this["KtoAfA"] = value; }
			}
			/// <summary>Kostenstellennummer ( String )</summary>
			public virtual String KstNr {
				get { return Convert.ToString(this["KstNr"]); }
				set { this["KstNr"] = value; }
			}
			/// <summary>Bezeichnung ( String )</summary>
			public virtual String Bez {
				get { return Convert.ToString(this["Bez"]); }
				set { this["Bez"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
