using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AnschriftenSetAucWebIdIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AucWebId";
			

		internal AnschriftenSetAucWebIdIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AnschriftenSetAucWebIdIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AnschriftenSetAucWebIdIndex.IndexFields rangeBegin, AnschriftenSetAucWebIdIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>ID Auktionsplattform ( String )</summary>
			public virtual String AucWebID {
				get { return Convert.ToString(this["AucWebID"]); }
				set { this["AucWebID"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
