using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AnschriftenSetILNIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ILN";
			

		internal AnschriftenSetILNIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AnschriftenSetILNIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AnschriftenSetILNIndex.IndexFields rangeBegin, AnschriftenSetILNIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>International Location Number ( String )</summary>
			public virtual String ILN {
				get { return Convert.ToString(this["ILN"]); }
				set { this["ILN"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
