using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AnsprechpartnerSetAdrNrAnsNrNNaIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AdrNrAnsNrNNa";
			

		internal AnsprechpartnerSetAdrNrAnsNrNNaIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AnsprechpartnerSetAdrNrAnsNrNNaIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AnsprechpartnerSetAdrNrAnsNrNNaIndex.IndexFields rangeBegin, AnsprechpartnerSetAdrNrAnsNrNNaIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Adressnummer ( String )</summary>
			public virtual String AdrNr {
				get { return Convert.ToString(this["AdrNr"]); }
				set { this["AdrNr"] = value; }
			}
			/// <summary>Anschriftennummer ( Integer )</summary>
			public virtual Int32 AnsNr {
				get { return Convert.ToInt32(this["AnsNr"]); }
				set { this["AnsNr"] = value; }
			}
			/// <summary>Nachname ( String )</summary>
			public virtual String NNa {
				get { return Convert.ToString(this["NNa"]); }
				set { this["NNa"] = value; }
			}
			/// <summary>Vorname ( String )</summary>
			public virtual String VNa {
				get { return Convert.ToString(this["VNa"]); }
				set { this["VNa"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
