using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelLieferantenSetAdrNrBestNr0Index : BpnIndex
	{
		public static readonly String INDEX_NAME = "AdrNrBestNr0";
			

		internal ArtikelLieferantenSetAdrNrBestNr0Index(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ArtikelLieferantenSetAdrNrBestNr0Index.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ArtikelLieferantenSetAdrNrBestNr0Index.IndexFields rangeBegin, ArtikelLieferantenSetAdrNrBestNr0Index.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Adressnummer ( String )</summary>
			public virtual String AdrNr {
				get { return Convert.ToString(this["AdrNr"]); }
				set { this["AdrNr"] = value; }
			}
			/// <summary>Ek0->Bestellnummer ( String )</summary>
			public virtual String Ek0_BstNr {
				get { return Convert.ToString(this["Ek0.BstNr"]); }
				set { this["Ek0.BstNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
