using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelSetLtzAendAucWebIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "LtzAendAucWeb";
			

		internal ArtikelSetLtzAendAucWebIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ArtikelSetLtzAendAucWebIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ArtikelSetLtzAendAucWebIndex.IndexFields rangeBegin, ArtikelSetLtzAendAucWebIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Letzte Datensatznderung ( DateTime )</summary>
			public virtual DateTime LtzAend {
				get { return Convert.ToDateTime(this["LtzAend"]); }
				set { this["LtzAend"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
