using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelSetLtzAendWShopIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "LtzAendWShop";
			

		internal ArtikelSetLtzAendWShopIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ArtikelSetLtzAendWShopIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ArtikelSetLtzAendWShopIndex.IndexFields rangeBegin, ArtikelSetLtzAendWShopIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Letzte Datensatznderung ( DateTime )</summary>
			public virtual DateTime LtzAend {
				get { return Convert.ToDateTime(this["LtzAend"]); }
				set { this["LtzAend"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
