using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelSetSel1Index : BpnIndex
	{
		public static readonly String INDEX_NAME = "Sel1";
			

		internal ArtikelSetSel1Index(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ArtikelSetSel1Index.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ArtikelSetSel1Index.IndexFields rangeBegin, ArtikelSetSel1Index.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Artikel im Webshop bereitstellen Kennzeichen ( Boolean )</summary>
			public virtual Object WShopKz {
				get { return this["WShopKz"]; }
				set { this["WShopKz"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
