using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelZusaetzeSetZArtNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ZArtNr";
			

		internal ArtikelZusaetzeSetZArtNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ArtikelZusaetzeSetZArtNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ArtikelZusaetzeSetZArtNrIndex.IndexFields rangeBegin, ArtikelZusaetzeSetZArtNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Zusatz fr Artikelnummer ( String )</summary>
			public virtual String ZArtNr {
				get { return Convert.ToString(this["ZArtNr"]); }
				set { this["ZArtNr"] = value; }
			}
			/// <summary>Zeilennummer ( SmallInt )</summary>
			public virtual Object ZeilenNr {
				get { return this["ZeilenNr"]; }
				set { this["ZeilenNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
