using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BankenSetBICIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "BIC";
			

		internal BankenSetBICIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BankenSetBICIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BankenSetBICIndex.IndexFields rangeBegin, BankenSetBICIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>BIC (SWIFT Code) ( String )</summary>
			public virtual String BIC {
				get { return Convert.ToString(this["BIC"]); }
				set { this["BIC"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
