using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BenutzerSetKennZIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "KennZ";
			

		internal BenutzerSetKennZIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BenutzerSetKennZIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BenutzerSetKennZIndex.IndexFields rangeBegin, BenutzerSetKennZIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Kennzeichen (Krzel) ( String )</summary>
			public virtual String KennZ {
				get { return Convert.ToString(this["KennZ"]); }
				set { this["KennZ"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
