using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BestelleingangSetAdrNrAuftrNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AdrNrAuftrNr";
			

		internal BestelleingangSetAdrNrAuftrNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BestelleingangSetAdrNrAuftrNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BestelleingangSetAdrNrAuftrNrIndex.IndexFields rangeBegin, BestelleingangSetAdrNrAuftrNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Adressnummer ( String )</summary>
			public virtual String AdrNr {
				get { return Convert.ToString(this["AdrNr"]); }
				set { this["AdrNr"] = value; }
			}
			/// <summary>Auftragsnummer ( String )</summary>
			public virtual String AuftrNr {
				get { return Convert.ToString(this["AuftrNr"]); }
				set { this["AuftrNr"] = value; }
			}
			/// <summary>Lieferdatum ( Date )</summary>
			public virtual DateTime LiefDat {
				get { return Convert.ToDateTime(this["LiefDat"]); }
				set { this["LiefDat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
