using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BuchungenAuftragArchivSetDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "Dat";
			

		internal BuchungenAuftragArchivSetDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BuchungenAuftragArchivSetDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BuchungenAuftragArchivSetDatIndex.IndexFields rangeBegin, BuchungenAuftragArchivSetDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Datum ( Date )</summary>
			public virtual DateTime Dat {
				get { return Convert.ToDateTime(this["Dat"]); }
				set { this["Dat"] = value; }
			}
			/// <summary>Belegnummer 1 ( String )</summary>
			public virtual String BelegNr1 {
				get { return Convert.ToString(this["BelegNr1"]); }
				set { this["BelegNr1"] = value; }
			}
			/// <summary>Zeilennummer ( Integer )</summary>
			public virtual Int32 ZeilenNr {
				get { return Convert.ToInt32(this["ZeilenNr"]); }
				set { this["ZeilenNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
