using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BuchungenLohnSetBelegNr2NumIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "BelegNr2Num";
			

		internal BuchungenLohnSetBelegNr2NumIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BuchungenLohnSetBelegNr2NumIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BuchungenLohnSetBelegNr2NumIndex.IndexFields rangeBegin, BuchungenLohnSetBelegNr2NumIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Belegnummer 2 ( String )</summary>
			public virtual String BelegNr2 {
				get { return Convert.ToString(this["BelegNr2"]); }
				set { this["BelegNr2"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
