using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class DokumenteSetNaIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "Na";
			

		internal DokumenteSetNaIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(DokumenteSetNaIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(DokumenteSetNaIndex.IndexFields rangeBegin, DokumenteSetNaIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Name ( String )</summary>
			public virtual String Na {
				get { return Convert.ToString(this["Na"]); }
				set { this["Na"] = value; }
			}
			/// <summary>Bereich ( String )</summary>
			public virtual String DBBkzBez {
				get { return Convert.ToString(this["DBBkzBez"]); }
				set { this["DBBkzBez"] = value; }
			}
			/// <summary>Nummer ( String )</summary>
			public virtual String Nr {
				get { return Convert.ToString(this["Nr"]); }
				set { this["Nr"] = value; }
			}
			/// <summary>Laufende Nummer ( Integer )</summary>
			public virtual Int32 LfdNr {
				get { return Convert.ToInt32(this["LfdNr"]); }
				set { this["LfdNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
