using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KalenderArchivSetAspNrArtDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AspNrArtDat";
			

		internal KalenderArchivSetAspNrArtDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KalenderArchivSetAspNrArtDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KalenderArchivSetAspNrArtDatIndex.IndexFields rangeBegin, KalenderArchivSetAspNrArtDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Ansprechpartner (Bereich) ( String )</summary>
			public virtual String AspDBBkzBez {
				get { return Convert.ToString(this["AspDBBkzBez"]); }
				set { this["AspDBBkzBez"] = value; }
			}
			/// <summary>Ansprechpartner (Nr.) ( String )</summary>
			public virtual String AspNr {
				get { return Convert.ToString(this["AspNr"]); }
				set { this["AspNr"] = value; }
			}
			/// <summary>Laufende Nummer ( Integer )</summary>
			public virtual Int32 LfdNr {
				get { return Convert.ToInt32(this["LfdNr"]); }
				set { this["LfdNr"] = value; }
			}
			/// <summary>Art ( Byte )</summary>
			public virtual Object Art {
				get { return this["Art"]; }
				set { this["Art"] = value; }
			}
			/// <summary>Startdatum ( Date )</summary>
			public virtual DateTime StartDat {
				get { return Convert.ToDateTime(this["StartDat"]); }
				set { this["StartDat"] = value; }
			}
			/// <summary>Startzeit ( Time )</summary>
			public virtual Object StartZt {
				get { return this["StartZt"]; }
				set { this["StartZt"] = value; }
			}
			/// <summary>Enddatum ( Date )</summary>
			public virtual DateTime EndDat {
				get { return Convert.ToDateTime(this["EndDat"]); }
				set { this["EndDat"] = value; }
			}
			/// <summary>Endzeit ( Time )</summary>
			public virtual Object EndZt {
				get { return this["EndZt"]; }
				set { this["EndZt"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
