using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KassenSetNrDatIBNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "NrDatIBNr";
			

		internal KassenSetNrDatIBNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KassenSetNrDatIBNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KassenSetNrDatIBNrIndex.IndexFields rangeBegin, KassenSetNrDatIBNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Kassennummer ( Byte )</summary>
			public virtual Object KasseNr {
				get { return this["KasseNr"]; }
				set { this["KasseNr"] = value; }
			}
			/// <summary>Datum ( Date )</summary>
			public virtual DateTime Dat {
				get { return Convert.ToDateTime(this["Dat"]); }
				set { this["Dat"] = value; }
			}
			/// <summary>interne Belegnummer ( AutoInc )</summary>
			public virtual Int32 IntBelegNr {
				get { return Convert.ToInt32(this["IntBelegNr"]); }
				set { this["IntBelegNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
