using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KontakteArchivSetDBBkzBezBzrNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "DBBkzBezBzrNr";
			

		internal KontakteArchivSetDBBkzBezBzrNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KontakteArchivSetDBBkzBezBzrNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KontakteArchivSetDBBkzBezBzrNrIndex.IndexFields rangeBegin, KontakteArchivSetDBBkzBezBzrNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Bereich ( String )</summary>
			public virtual String DBBkzBez {
				get { return Convert.ToString(this["DBBkzBez"]); }
				set { this["DBBkzBez"] = value; }
			}
			/// <summary>Sachbearbeiter (Benutzernummer) ( String )</summary>
			public virtual String SBzrNr {
				get { return Convert.ToString(this["SBzrNr"]); }
				set { this["SBzrNr"] = value; }
			}
			/// <summary>Erfassungsdatum ( DateTime )</summary>
			public virtual DateTime ErfDat {
				get { return Convert.ToDateTime(this["ErfDat"]); }
				set { this["ErfDat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
