using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KontenBlaetterSetGKstNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "GKstNr";
			

		internal KontenBlaetterSetGKstNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KontenBlaetterSetGKstNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KontenBlaetterSetGKstNrIndex.IndexFields rangeBegin, KontenBlaetterSetGKstNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Gegenkostenstellennummer ( String )</summary>
			public virtual String GKstNr {
				get { return Convert.ToString(this["GKstNr"]); }
				set { this["GKstNr"] = value; }
			}
			/// <summary>Datum ( Date )</summary>
			public virtual DateTime Dat {
				get { return Convert.ToDateTime(this["Dat"]); }
				set { this["Dat"] = value; }
			}
			/// <summary>Laufende Buchungsnummer ( Integer )</summary>
			public virtual Int32 LfdBchNr {
				get { return Convert.ToInt32(this["LfdBchNr"]); }
				set { this["LfdBchNr"] = value; }
			}
			/// <summary>Laufende Schreibnummer ( Byte )</summary>
			public virtual Object LfdSchreibNr {
				get { return this["LfdSchreibNr"]; }
				set { this["LfdSchreibNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
