using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KontenBlaetterSetJPKtoNrDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "JPKtoNrDat";
			

		internal KontenBlaetterSetJPKtoNrDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KontenBlaetterSetJPKtoNrDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KontenBlaetterSetJPKtoNrDatIndex.IndexFields rangeBegin, KontenBlaetterSetJPKtoNrDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Jahr ( SmallInt )</summary>
			public virtual Object Jahr {
				get { return this["Jahr"]; }
				set { this["Jahr"] = value; }
			}
			/// <summary>Periode ( Byte )</summary>
			public virtual Object Per {
				get { return this["Per"]; }
				set { this["Per"] = value; }
			}
			/// <summary>Kontonummer ( String )</summary>
			public virtual String KtoNr {
				get { return Convert.ToString(this["KtoNr"]); }
				set { this["KtoNr"] = value; }
			}
			/// <summary>Datum ( Date )</summary>
			public virtual DateTime Dat {
				get { return Convert.ToDateTime(this["Dat"]); }
				set { this["Dat"] = value; }
			}
			/// <summary>Laufende Buchungsnummer ( Integer )</summary>
			public virtual Int32 LfdBchNr {
				get { return Convert.ToInt32(this["LfdBchNr"]); }
				set { this["LfdBchNr"] = value; }
			}
			/// <summary>Laufende Schreibnummer ( Byte )</summary>
			public virtual Object LfdSchreibNr {
				get { return this["LfdSchreibNr"]; }
				set { this["LfdSchreibNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
