using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KrankenkassenSetBetrNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "BetrNr";
			

		internal KrankenkassenSetBetrNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KrankenkassenSetBetrNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KrankenkassenSetBetrNrIndex.IndexFields rangeBegin, KrankenkassenSetBetrNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Betriebsnummer ( String )</summary>
			public virtual String BetrNr {
				get { return Convert.ToString(this["BetrNr"]); }
				set { this["BetrNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
