using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class LagerBestandSetArtNrLagNrArtBelegAuftrKstNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ArtNrLagNrArtBelegAuftrKstNr";
			

		internal LagerBestandSetArtNrLagNrArtBelegAuftrKstNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(LagerBestandSetArtNrLagNrArtBelegAuftrKstNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(LagerBestandSetArtNrLagNrArtBelegAuftrKstNrIndex.IndexFields rangeBegin, LagerBestandSetArtNrLagNrArtBelegAuftrKstNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Artikelnummer ( String )</summary>
			public virtual String ArtNr {
				get { return Convert.ToString(this["ArtNr"]); }
				set { this["ArtNr"] = value; }
			}
			/// <summary>Lagernummer ( String )</summary>
			public virtual String LagNr {
				get { return Convert.ToString(this["LagNr"]); }
				set { this["LagNr"] = value; }
			}
			/// <summary>Lagerbestandsart ( Integer )</summary>
			public virtual Int32 LagBestArt {
				get { return Convert.ToInt32(this["LagBestArt"]); }
				set { this["LagBestArt"] = value; }
			}
			/// <summary>Belegnummer ( String )</summary>
			public virtual String BelegNr {
				get { return Convert.ToString(this["BelegNr"]); }
				set { this["BelegNr"] = value; }
			}
			/// <summary>Auftragsnummer ( String )</summary>
			public virtual String AuftrNr {
				get { return Convert.ToString(this["AuftrNr"]); }
				set { this["AuftrNr"] = value; }
			}
			/// <summary>Kostenstellennummer ( String )</summary>
			public virtual String KstNr {
				get { return Convert.ToString(this["KstNr"]); }
				set { this["KstNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
