using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class LagerbuchSetVerfallDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "VerfallDat";
			

		internal LagerbuchSetVerfallDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(LagerbuchSetVerfallDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(LagerbuchSetVerfallDatIndex.IndexFields rangeBegin, LagerbuchSetVerfallDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Verfallsdatum ( Date )</summary>
			public virtual DateTime VerfallDat {
				get { return Convert.ToDateTime(this["VerfallDat"]); }
				set { this["VerfallDat"] = value; }
			}
			/// <summary>Datum ( DateTime )</summary>
			public virtual DateTime Dat {
				get { return Convert.ToDateTime(this["Dat"]); }
				set { this["Dat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
