using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class MAbwesenheitssperrenSetAwJBezIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AwJBez";
			

		internal MAbwesenheitssperrenSetAwJBezIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(MAbwesenheitssperrenSetAwJBezIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(MAbwesenheitssperrenSetAwJBezIndex.IndexFields rangeBegin, MAbwesenheitssperrenSetAwJBezIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Auswertungsjahr ( SmallInt )</summary>
			public virtual Object AuswJahr {
				get { return this["AuswJahr"]; }
				set { this["AuswJahr"] = value; }
			}
			/// <summary>Bezeichnung ( String )</summary>
			public virtual String Bez {
				get { return Convert.ToString(this["Bez"]); }
				set { this["Bez"] = value; }
			}
			/// <summary>Mitarbeiternummer ( String )</summary>
			public virtual String MitNr {
				get { return Convert.ToString(this["MitNr"]); }
				set { this["MitNr"] = value; }
			}
			/// <summary>Startdatum ( DateTime )</summary>
			public virtual DateTime StartDat {
				get { return Convert.ToDateTime(this["StartDat"]); }
				set { this["StartDat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
