using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class PollingSetPollKzIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "PollKz";
			

		internal PollingSetPollKzIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(PollingSetPollKzIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(PollingSetPollKzIndex.IndexFields rangeBegin, PollingSetPollKzIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Polling kennzeichen ( Integer )</summary>
			public virtual Int32 PolLz {
				get { return Convert.ToInt32(this["PolLz"]); }
				set { this["PolLz"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
