using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ServiceVertraegeHisSetSVtIDIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "SVtID";
			

		internal ServiceVertraegeHisSetSVtIDIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ServiceVertraegeHisSetSVtIDIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ServiceVertraegeHisSetSVtIDIndex.IndexFields rangeBegin, ServiceVertraegeHisSetSVtIDIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>ID des bergeordneten Servicevertrags ( Integer )</summary>
			public virtual Int32 SVtID {
				get { return Convert.ToInt32(this["SVtID"]); }
				set { this["SVtID"] = value; }
			}
			/// <summary>Historydatum ( DateTime )</summary>
			public virtual DateTime HyDat {
				get { return Convert.ToDateTime(this["HyDat"]); }
				set { this["HyDat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
