using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VersandArchivSetPktNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "PktNr";
			

		internal VersandArchivSetPktNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(VersandArchivSetPktNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(VersandArchivSetPktNrIndex.IndexFields rangeBegin, VersandArchivSetPktNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Paketnummer ( String )</summary>
			public virtual String PktNr {
				get { return Convert.ToString(this["PktNr"]); }
				set { this["PktNr"] = value; }
			}
			/// <summary>Versandart ( Integer )</summary>
			public virtual Int32 VsdArt {
				get { return Convert.ToInt32(this["VsdArt"]); }
				set { this["VsdArt"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
