using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VorbestellungSetVbaErledigtIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "VbaErledigt";
			

		internal VorbestellungSetVbaErledigtIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(VorbestellungSetVbaErledigtIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(VorbestellungSetVbaErledigtIndex.IndexFields rangeBegin, VorbestellungSetVbaErledigtIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Vorbestellungart ( Integer )</summary>
			public virtual Int32 VbgVbaArt {
				get { return Convert.ToInt32(this["VbgVbaArt"]); }
				set { this["VbgVbaArt"] = value; }
			}
			/// <summary>Erledigt ( Boolean )</summary>
			public virtual Object VbgErlKz {
				get { return this["VbgErlKz"]; }
				set { this["VbgErlKz"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
