using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VorgangArchivSetArtHiDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ArtHiDat";
			

		internal VorgangArchivSetArtHiDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(VorgangArchivSetArtHiDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(VorgangArchivSetArtHiDatIndex.IndexFields rangeBegin, VorgangArchivSetArtHiDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Vorgangsart ( Byte )</summary>
			public virtual Object Art {
				get { return this["Art"]; }
				set { this["Art"] = value; }
			}
			/// <summary>Historydatum ( DateTime )</summary>
			public virtual DateTime HyDat {
				get { return Convert.ToDateTime(this["HyDat"]); }
				set { this["HyDat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
