using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ZahlungsverkehrEingangSetHBkEmNameIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "HBkEmName";
			

		internal ZahlungsverkehrEingangSetHBkEmNameIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ZahlungsverkehrEingangSetHBkEmNameIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ZahlungsverkehrEingangSetHBkEmNameIndex.IndexFields rangeBegin, ZahlungsverkehrEingangSetHBkEmNameIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Nummer der Hausbank (Kontoauszug) ( Integer )</summary>
			public virtual Int32 KazHBk {
				get { return Convert.ToInt32(this["KazHBk"]); }
				set { this["KazHBk"] = value; }
			}
			/// <summary>Empfnger ( String )</summary>
			public virtual String KazEmName {
				get { return Convert.ToString(this["KazEmName"]); }
				set { this["KazEmName"] = value; }
			}
			/// <summary>ID ( AutoInc )</summary>
			public virtual Int32 ID {
				get { return Convert.ToInt32(this["ID"]); }
				set { this["ID"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
