using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ZahlungsverkehrEingangSetKazIDIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "KazID";
			

		internal ZahlungsverkehrEingangSetKazIDIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ZahlungsverkehrEingangSetKazIDIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ZahlungsverkehrEingangSetKazIDIndex.IndexFields rangeBegin, ZahlungsverkehrEingangSetKazIDIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Original ID des Kontoauszugs ( Integer )</summary>
			public virtual Int32 KAzID {
				get { return Convert.ToInt32(this["KAzID"]); }
				set { this["KAzID"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
