using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ZwischenBelegeSetGrpAucWebIdIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "GrpAucWebId";
			

		internal ZwischenBelegeSetGrpAucWebIdIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ZwischenBelegeSetGrpAucWebIdIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ZwischenBelegeSetGrpAucWebIdIndex.IndexFields rangeBegin, ZwischenBelegeSetGrpAucWebIdIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Vorgangsgruppe ( Byte )</summary>
			public virtual Object Grp {
				get { return this["Grp"]; }
				set { this["Grp"] = value; }
			}
			/// <summary>ID Auktionsplattform ( String )</summary>
			public virtual String AucWebID {
				get { return Convert.ToString(this["AucWebID"]); }
				set { this["AucWebID"] = value; }
			}
			/// <summary>Vorgangsart ( Byte )</summary>
			public virtual Object Art {
				get { return this["Art"]; }
				set { this["Art"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
